## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csGLScreenShot Class Reference
[Common Plugin Classes]

OpenGL screen shot. More...

`#include <csplugincommon/opengl/glss.h>`

Inheritance diagram for csGLScreenShot:

[legend]
List of all members.

## Public Member Functions

virtual int | GetFormat () const
| Qyery image format (see CS_IMGFMT_XXX above).
virtual int | GetHeight () const
| Query image height.
virtual const void * | GetImageData ()
| Get image data: returns either (csRGBpixel *) or (unsigned char *) depending on format.
virtual int | GetWidth () const
| Query image width.

## Public Attributes

csGLScreenShot * | poolNext
| SCF_DECLARE_IBASE

## Detailed Description

OpenGL screen shot.

Definition at line 38 of file glss.h.

## Member Function Documentation

virtual int csGLScreenShot::GetFormat | ( |  | ) | const`[inline, virtual]`

| Qyery image format (see CS_IMGFMT_XXX above). Implements iImage. Definition at line 60 of file glss.h.

virtual int csGLScreenShot::GetHeight | ( |  | ) | const`[inline, virtual]`

| Query image height. Implements iImage. Definition at line 58 of file glss.h.

virtual const void* csGLScreenShot::GetImageData | ( |  | ) | `[inline, virtual]`

| Get image data: returns either (csRGBpixel *) or (unsigned char *) depending on format. Note that for RGBA images the csRGBpixel structure contains the alpha channel as well, so GetAlpha (see below) method will return 0 (because alpha is not stored separately, as for paletted images). Implements iImage. Definition at line 54 of file glss.h.

virtual int csGLScreenShot::GetWidth | ( |  | ) | const`[inline, virtual]`

| Query image width. Implements iImage. Definition at line 56 of file glss.h.

The documentation for this class was generated from the following file:

- csplugincommon/opengl/glss.h